curl --request PUT \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}/customer-group-mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"mappings": [
{
"channelPriceTypeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}/customer-group-mappings"
payload = { "mappings": [
{
"channelPriceTypeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
mappings: [
{
channelPriceTypeId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
customerGroupId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
}
]
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}/customer-group-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mappings": [
{
"channelPriceTypeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesChannelId": "<string>",
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"priceTypeId": "<string>"
}
]
}Declaratively replaces the complete set of customer-group mappings of a SCX seller/account.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
Sales channel id of the SCX seller/account whose customer-group mappings are replaced.
Body
Request model for SetScxSellerCustomerGroupMappings command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
The complete desired set of customer-group mappings for the seller.
Show child attributes
Show child attributes
Response
Successfully replaced the customer-group mappings. Returns the persisted mappings.
Declaratively replaces the complete set of customer-group mappings of a SCX seller/account. The request describes the full desired state - provided mappings are upserted and the customer-group mapping of every channel price type not contained in the request is cleared, not removed (declarative replace, ADR-57). - Response
The persisted customer-group mappings.
Show child attributes
Show child attributes
Was this page helpful?